Update a single product with Json Merge Patch functionality

View as Markdown
Updates a single product. This endpoint supports Json Merge Patch functionality, which allows partial updates to be made to the product. The endpoint will only update the fields that are provided in the request. For updating variants, you mnust include the ID of the variant that you would like to update.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

productIdstringRequiredformat: "int64"
The product identifier

Request

This endpoint expects an object.
idlongOptional
Unique reference ID for the product
namestring or nullOptional
taxonomy_idinteger or nullOptional
type_idintegerOptional
variantslist of objects or nullOptional

Response

Success
created_ondatetime or null
idlong or null
namestring or null
taxonomyobject or null
typestring or null
updated_ondatetime or null
user_idlong or null
variantslist of objects or null